---------------------
PatchSet 4285 
Date: 2007/04/19 16:34:58
Author: dwsquid
Branch: squid3-largeobj
Tag: (none) 
Log:
Use %"PRId64" instead of %lld in printf statements until we can get
rid of them entirely

Members: 
	src/access_log.cc:1.41.6.2->1.41.6.3 
	src/ftp.cc:1.63.2.3->1.63.2.4 
	src/store_log.cc:1.7.2.1->1.7.2.2 

Index: squid3/src/access_log.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/access_log.cc,v
retrieving revision 1.41.6.2
retrieving revision 1.41.6.3
diff -u -r1.41.6.2 -r1.41.6.3
--- squid3/src/access_log.cc	19 Apr 2007 04:45:33 -0000	1.41.6.2
+++ squid3/src/access_log.cc	19 Apr 2007 16:34:58 -0000	1.41.6.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: access_log.cc,v 1.41.6.2 2007/04/19 04:45:33 dwsquid Exp $
+ * $Id: access_log.cc,v 1.41.6.3 2007/04/19 16:34:58 dwsquid Exp $
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
@@ -1283,7 +1283,7 @@
         safe_free(user);
 
     if (!Config.onoff.log_mime_hdrs) {
-        logfilePrintf(logfile, "%9ld.%03d %6d %s %s/%03d %lld %s %s %s %s%s/%s %s",
+        logfilePrintf(logfile, "%9ld.%03d %6d %s %s/%03d %"PRId64" %s %s %s %s%s/%s %s",
                       (long int) current_time.tv_sec,
                       (int) current_time.tv_usec / 1000,
                       al->cache.msec,
@@ -1301,7 +1301,7 @@
     } else {
         char *ereq = log_quote(al->headers.request);
         char *erep = log_quote(al->headers.reply);
-        logfilePrintf(logfile, "%9ld.%03d %6d %s %s/%03d %lld %s %s %s %s%s/%s %s [%s] [%s]",
+        logfilePrintf(logfile, "%9ld.%03d %6d %s %s/%03d %"PRId64" %s %s %s %s%s/%s %s [%s] [%s]",
                       (long int) current_time.tv_sec,
                       (int) current_time.tv_usec / 1000,
                       al->cache.msec,
@@ -1341,7 +1341,7 @@
 
     user2 = accessLogFormatName(al->cache.rfc931);
 
-    logfilePrintf(logfile, "%s %s %s [%s] \"%s %s HTTP/%d.%d\" %d %lld %s:%s",
+    logfilePrintf(logfile, "%s %s %s [%s] \"%s %s HTTP/%d.%d\" %d %"PRId64" %s:%s",
                   client,
                   user2 ? user2 : dash_str,
                   user1 ? user1 : dash_str,
Index: squid3/src/ftp.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ftp.cc,v
retrieving revision 1.63.2.3
retrieving revision 1.63.2.4
diff -u -r1.63.2.3 -r1.63.2.4
--- squid3/src/ftp.cc	19 Apr 2007 05:05:11 -0000	1.63.2.3
+++ squid3/src/ftp.cc	19 Apr 2007 16:35:03 -0000	1.63.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.cc,v 1.63.2.3 2007/04/19 05:05:11 dwsquid Exp $
+ * $Id: ftp.cc,v 1.63.2.4 2007/04/19 16:35:03 dwsquid Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -2619,7 +2619,7 @@
 static void
 ftpSendRest(FtpStateData * ftpState)
 {
-    snprintf(cbuf, 1024, "REST %lld\r\n", ftpState->restart_offset);
+    snprintf(cbuf, 1024, "REST %"PRId64"\r\n", ftpState->restart_offset);
     ftpState->writeCommand(cbuf);
     ftpState->state = SENT_REST;
 }
Index: squid3/src/store_log.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/store_log.cc,v
retrieving revision 1.7.2.1
retrieving revision 1.7.2.2
diff -u -r1.7.2.1 -r1.7.2.2
--- squid3/src/store_log.cc	18 Apr 2007 05:08:28 -0000	1.7.2.1
+++ squid3/src/store_log.cc	19 Apr 2007 16:35:15 -0000	1.7.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_log.cc,v 1.7.2.1 2007/04/18 05:08:28 dwsquid Exp $
+ * $Id: store_log.cc,v 1.7.2.2 2007/04/19 16:35:15 dwsquid Exp $
  *
  * DEBUG: section 20    Storage Manager Logging Functions
  * AUTHOR: Duane Wessels
@@ -83,7 +83,7 @@
          * Because if we print it before the swap file number, it'll break
          * the existing log format.
          */
-        logfilePrintf(storelog, "%9d.%03d %-7s %02d %08X %s %4d %9d %9d %9d %s %lld/%lld %s %s\n",
+        logfilePrintf(storelog, "%9d.%03d %-7s %02d %08X %s %4d %9d %9d %9d %s %"PRId64"/%"PRId64" %s %s\n",
                       (int) current_time.tv_sec,
                       (int) current_time.tv_usec / 1000,
                       storeLogTags[tag],
